#include "stm8l.h"
#include "stm8l_gpio.h"

#define PORT GPIOB

#define LED 	GPIO_Pin_1
#define BTN_LED GPIO_Pin_2

#define BTN 	GPIO_Pin_3

static void delay(uint32_t t)
{
	while(t--);
}

uint8_t i;
int main( void )
{

	GPIO_DeInit(PORT);

	GPIO_Init(PORT, LED|BTN_LED, GPIO_Mode_Out_PP_Low_Fast);

	GPIO_Init(PORT, BTN, GPIO_Mode_In_FL_No_IT); // Input floating, no external interrupt

	i=0;
	for(;;)
  	{
		if(GPIO_ReadInputDataBit(PORT, BTN))
			GPIO_SetBits(PORT, BTN_LED);
		else
			GPIO_ResetBits(PORT, BTN_LED);

    		delay(1000); i++;

		if (i > 50)
		{
			GPIO_ToggleBits(PORT, LED);
			i=0;
		}
  	}
}
