#include "stm8s.h"
#include "stm8s_gpio.h"

#define LED_PORT GPIOB
#define LED GPIO_PIN_5

static void delay(uint32_t t)
{
	while(t--);
}

int main( void )
{

	GPIO_DeInit(LED_PORT);
	GPIO_Init(LED_PORT, LED, GPIO_MODE_OUT_PP_LOW_FAST);

	for(;;)
  	{
    		delay(30000);
		GPIO_WriteReverse(LED_PORT, LED);
  	}
}
